Skip to navigation

List Shipping Methods in Zone

Returns a list of Shipping Methods in a zone. Default sorting is by shipping method ID, from lowest to highest.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

zone_idintegerRequired
ID of the shipping zone.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
channel_idslist of integersOptional

List of channels associated to a method. When creating a new method, all available channels are associated by default. (Optional)

enabledbooleanOptional
Whether or not this shipping zone method is enabled.
handling_feesobjectOptional
idintegerOptionalRead-only

Shipping method ID. Read-only.

is_fallbackbooleanOptional
Whether or not this shipping method is a fallback method used when advanced shipping rules are unavailable.
namestringOptional
Display name for shipping method.
settingsobjectOptional

Depends on the shipping method type. See the supported settings object.

typeenumOptional